export const beDescribetive = `
<h1>BE DESCRIBETIVE</h1>
<p style="width: 70%;">
Nest describe blocks liberally to create functional subsets.
</p>

<h3>Why?</h3>
<ul>
    <li>Allows tests to build on each other from least to most specific</li>
    <li>FCreates tests that are easy to extend and/or refactor</li>
    <li>Makes branch testing easier and less repetitive</li>
    <li>Encapsulates tests based on their common denominator</li>
</ul>

<div style="background-color:#444; color:#fff; padding: 16px; position: relative; width: 50%; ">
    <pre>
// Yep
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      describe('on an empty Array', function() {{'{'}}
        beforeEach(function() {{'{'}}
          this.initialArray = [];

          this.initialArray.push(1);
        {{'}'}});

        it('appends x to the Array', function() {{'{'}}
          expect(this.initialArray).toEqual([1]);
        {{'}'}});
      {{'}'}});

      describe('on a non-empty Array', function() {{'{'}}
        beforeEach(function() {{'{'}}
          this.initialArray = [1];

          this.initialArray.push(2);
        {{'}'}});

        it('appends x to the end of the Array', function() {{'{'}}
          expect(this.initialArray).toEqual([1, 2]);
        {{'}'}});
      {{'}'}});
    {{'}'}});
  });

// Nope
describe('Array.prototype', function() {{'{'}}
    describe('.push(x) on an empty Array', function() {{'{'}}
      beforeEach(function() {{'{'}}
        this.initialArray = [];

        this.initialArray.push(1);
      {{'}'}});

      it('appends x to the Array', function() {{'{'}}
        expect(this.initialArray).toEqual([1]);
      {{'}'}});
    {{'}'}});

    describe('.push(x) on a non-empty Array', function() {{'{'}}
      beforeEach(function() {{'{'}}
        this.initialArray = [1];

        this.initialArray.push(2);
      {{'}'}});

      it('appends x to the end of the Array', function() {{'{'}}
        expect(this.initialArray).toEqual([1, 2]);
      {{'}'}});
    {{'}'}});
  {{'}'}});
    </pre>
</div>
`;
